Get risk assessments for an inventory item
Returns RECESS and/or EMKG risk assessment data for a specific inventory item. Read-only.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key as the token. Obtain from your NextSDS team settings.
In: header
Path Parameters
inventoryId*string
Inventory item UUID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://api.nextsds.com/v1/inventory/497f6eca-6276-4993-bfeb-53cbbbba6f08/assessments"{
"data": {
"recess": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"exposure": 1,
"probability": 1,
"effect": 1,
"risk_score": 1,
"assessed_by": "d27bfc14-a42e-46d5-a82f-a481c60d602d",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"emkg": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"assessment_answers": {},
"control_levels": {},
"assessed_by": "d27bfc14-a42e-46d5-a82f-a481c60d602d",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}
}{
"type": "https://api.nextsds.com/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing X-API-Key header"
}{
"type": "https://api.nextsds.com/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested resource was not found"
}